Subject: Re: [syzbot] [bpf?] [net?] WARNING in __xdp_reg_mem_model

From: syzbot <[email-masked]>
Date: Thu, 08 Aug 2024 11:20:02 -0700

syzbot suspects this issue was fixed by commit:

commit 7e9f79428372c6eab92271390851be34ab26bfb4
Author: Daniil Dulov <[email-masked]>
Date:   Mon Jun 24 08:07:47 2024 +0000

    xdp: Remove WARN() from __xdp_reg_mem_model()

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=10df4a5d980000
start commit:   f99c5f563c17 Merge tag 'nf-24-03-21' of git://git.kernel.o..
git tree:       net
kernel config:  https://syzkaller.appspot.com/x/.config?x=6fb1be60a193d440
dashboard link: https://syzkaller.appspot.com/bug?extid=f534bd500d914e34b59e
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=17ac600b180000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=1144b797180000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: xdp: Remove WARN() from __xdp_reg_mem_model()

For information about bisection process see: https://goo.gl/tpsmEJ#bisection